Advisory Details

April 8th, 2014

HP Unified Functional Testing ExGrid SaveXML Remote Code Execution Vulnerability

ZDI-14-063
ZDI-CAN-1932

CVE ID CVE-2013-6210
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS Hewlett-Packard
AFFECTED PRODUCTS Unified Functional Testing
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of HP Unified Functional Testing. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the Exontrol.Grid ActiveX control. The issue lies in the failure to validate the contents of cells before writing them to a file. An attacker can leverage this vulnerability to execute code under the context of the current process.

ADDITIONAL DETAILS Hewlett-Packard has issued an update to correct this vulnerability. More details can be found at:
https://h20566.www2.hp.com/portal/site/hpsc/public/kb/docDisplay/?docId=emr_na-c04122007
DISCLOSURE TIMELINE
  • 2013-09-28 - Vulnerability reported to vendor
  • 2014-04-08 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES